(function($){
		var plgContentBeforeAfterClass = function(options){
			var root = this;
			this.vars = {
	            'animateIntro':false,
	            'introDelay':1000,
	            'introDuration':1000,
	            'showFullLinks':true,
	            'imagePath':Joomla.getOptions('system.paths').root+'/media/plg_content_beforeafter/',
	            'introPosition':0.5,
	            'beforeLinkText':'Show only before',
	            'afterLinkText':'Show only after',
	            'cursor':'pointer',
	            'clickSpeed':600,
	            'linkDisplaySpeed':200,
	            'dividerColor':'#888',
	            'enableKeyboard':false,
	            'keypressAmount':20,
	            'onReady':undefined
			};
			var construct = function(options) {
				Object.assign(root.vars,options);
				root.vars.beforeLinkText = Joomla.JText._('PLG_CONTENT_BEFOREAFTER_LINKBEFORETEXT');
				root.vars.afterLinkText = Joomla.JText._('PLG_CONTENT_BEFOREAFTER_LINKAFTERTEXT');
				$('.plg_content_beforeafter').each(function(i,el){
					initBeforeAfter(i,el);
				});
			};
			var initBeforeAfter = function(i,el){
				var options, override;
				config = $.extend({},root.vars);
				Object.keys(root.vars).forEach(function(i,key){
					if(typeof(key) === 'string') {						
						override = $(el).data(key.toLowerCase());
						if(override !== undefined) {
							switch(key) {
								case 'onReady':
									if(override.length) {
										config[key] = new Function(override);
									}
									break;
								default:
									config[key] = override;
									break;
							}
						}
					}
				});
				$(el).beforeAfter(config);
			};
			construct(options)
		};
	    $(document).ready(function(){
	    	new plgContentBeforeAfterClass(Joomla.getOptions('plg_content_beforeafter'));
	    });
})(jQuery);
// Polyfill for Object.assign in IE
if (typeof Object.assign !== 'function') {
    // Must be writable: true, enumerable: false, configurable: true
    Object.defineProperty(Object, "assign", {
        value: function assign(target, varArgs) { // .length of function is 2
            'use strict';
            if (target === null) { // TypeError if undefined or null
                throw new TypeError('Cannot convert undefined or null to object');
            }

            var to = Object(target);

            for (var index = 1; index < arguments.length; index++) {
                var nextSource = arguments[index];

                if (nextSource !== null) { // Skip over if undefined or null
                    for (var nextKey in nextSource) {
                        // Avoid bugs when hasOwnProperty is shadowed
                        if (Object.prototype.hasOwnProperty.call(nextSource, nextKey)) {
                            to[nextKey] = nextSource[nextKey];
                        }
                    }
                }
            }
            return to;
        },
        writable: true,
        configurable: true
    });
}